Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Class ChannelMapNode

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.shading.ChannelMapNode

All Implemented Interfaces:
  ChannelMap, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

Direct Known Subclasses:
  BumpMap, ChannelBlend, ColorMapNode, Filter, Turbulence, UVTransformation, VolumeChecker, VolumeFunction, XYZTransformation

    public abstract class ChannelMapNode

extends Node
implements ChannelMap

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static int` | `AMBIENT`
`static int` | `COLOR`
`static int` | `COLOR_2`
`static int` | `DIFFUSE_TRANSPARENCY`
`static int` | `DISPLACEMENT`
`static int` | `EMISSIVE`
`static int` | `FIRST_OP`
`static int` | `INPUT`
`static Node.NType.Field` | `input$FIELD`
`static int` | `MIN_UNUSED_SPECIAL_OF_TARGET`
`static int` | `SECOND_OP`
`static int` | `SHININESS`
`static int` | `SPECULAR`
`static int` | `TRANSPARENCY`
`static int` | `TRANSPARENCY_SHININESS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`ChannelMapNode()`

Method Summary
`void` | `accept(ChannelMapNodeVisitor visitor)`
`void` | `accept(ChannelMapVisitor visitor)`
`float` | `getFloatValue(ChannelData data, int channel)`
`ChannelMap` | `getInput()`
`java.lang.Object` | `getObjectValue(ChannelData data, int channel)`
`void` | `setInput(ChannelMap value)`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getNTypeImpl, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, newInstance, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.math.ChannelMap
`getStamp`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### AMBIENT

    public static final int AMBIENT

See Also:
  Constant Field Values

### COLOR

    public static final int COLOR

See Also:
  Constant Field Values

### COLOR_2

    public static final int COLOR_2

See Also:
  Constant Field Values

### DIFFUSE_TRANSPARENCY

    public static final int DIFFUSE_TRANSPARENCY

See Also:
  Constant Field Values

### DISPLACEMENT

    public static final int DISPLACEMENT

See Also:
  Constant Field Values

### EMISSIVE

    public static final int EMISSIVE

See Also:
  Constant Field Values

### FIRST_OP

    public static final int FIRST_OP

See Also:
  Constant Field Values

### INPUT

    public static final int INPUT

See Also:
  Constant Field Values

### input$FIELD

    public static final Node.NType.Field input$FIELD

### MIN_UNUSED_SPECIAL_OF_TARGET

    public static final int MIN_UNUSED_SPECIAL_OF_TARGET

See Also:
  Constant Field Values

### SECOND_OP

    public static final int SECOND_OP

See Also:
  Constant Field Values

### SHININESS

    public static final int SHININESS

See Also:
  Constant Field Values

### SPECULAR

    public static final int SPECULAR

See Also:
  Constant Field Values

### TRANSPARENCY

    public static final int TRANSPARENCY

See Also:
  Constant Field Values

### TRANSPARENCY_SHININESS

    public static final int TRANSPARENCY_SHININESS

See Also:
  Constant Field Values

Constructor Detail

### ChannelMapNode

    public ChannelMapNode()

Method Detail

### accept

    public void accept(ChannelMapNodeVisitor visitor)

### accept

    public void accept(ChannelMapVisitor visitor)

  Specified by:
    `accept` in interface `ChannelMap`

### getFloatValue

    public float getFloatValue(ChannelData data,
                               int channel)

  Specified by:
    `getFloatValue` in interface `ChannelMap`

### getInput

    public ChannelMap getInput()

### getObjectValue

    public java.lang.Object getObjectValue(ChannelData data,
                                           int channel)

  Specified by:
    `getObjectValue` in interface `ChannelMap`

### setInput

    public void setInput(ChannelMap value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD